# azure.mgmt.notificationhubs.models module

class `azure.mgmt.notificationhubs.models.``CheckAvailabilityParameters`(name, location=None, tags=None, is_availiable=None)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the Check Name Availability for Namespace and NotificationHubs.

  Parameters:

  - name (str) – Gets or sets name
  - location (str) – Gets or sets location.
  - tags (dict) – Gets or sets tags.
  - is_availiable (bool) – Gets or sets true if the name is available and can be used to create new Namespace/NotificationHub. Otherwise false.

class `azure.mgmt.notificationhubs.models.``CheckAvailabilityResource`(id=None, location=None, name=None, type=None, tags=None, is_availiable=None)

  Bases: `msrest.serialization.Model`

  Description of a CheckAvailibility resource.

  Parameters:

  - id (str) – Gets or sets the id
  - location (str) – Gets or sets datacenter location
  - name (str) – Gets or sets name
  - type (str) – Gets or sets resource type
  - tags (dict) – Gets or sets tags
  - is_availiable (bool) – Gets or sets true if the name is available and can be used to create new Namespace/NotificationHub. Otherwise false.

class `azure.mgmt.notificationhubs.models.``NamespaceProperties`(name=None, provisioning_state=None, region=None, status=None, created_at=None, service_bus_endpoint=None, subscription_id=None, scale_unit=None, enabled=None, critical=None, namespace_type=None)

  Bases: `msrest.serialization.Model`

  Namespace properties.

  Parameters:

  - name (str) – The name of the namespace.
  - provisioning_state (str) – Gets or sets provisioning state of the Namespace.
  - region (str) – Specifies the targeted region in which the namespace should be created. It can be any of the following values: Australia EastAustralia SoutheastCentral USEast USEast US 2West USNorth Central USSouth Central USEast AsiaSoutheast AsiaBrazil SouthJapan EastJapan WestNorth EuropeWest Europe
  - status (str) – Status of the namespace. It can be any of these values:1 = Created/Active2 = Creating3 = Suspended4 = Deleting
  - created_at (datetime) – The time the namespace was created.
  - service_bus_endpoint (str) – Endpoint you can use to perform NotificationHub operations.
  - subscription_id (str) – The Id of the Azure subscription associated with the namespace.
  - scale_unit (str) – ScaleUnit where the namespace gets created
  - enabled (bool) – Whether or not the namespace is currently enabled.
  - critical (bool) – Whether or not the namespace is set as Critical.
  - namespace_type (str or `NamespaceType`) – Gets or sets the namespace type. Possible values include: ‘Messaging’, ‘NotificationHub’

class `azure.mgmt.notificationhubs.models.``NamespaceCreateOrUpdateParameters`(location, properties, tags=None)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the CreateOrUpdate Namespace operation.

  Parameters:

  - location (str) – Gets or sets Namespace data center location.
  - tags (dict) – Gets or sets Namespace tags.
  - properties (`NamespaceProperties`) – Gets or sets properties of the Namespace.

class `azure.mgmt.notificationhubs.models.``NamespaceResource`(id=None, location=None, name=None, type=None, tags=None, properties=None)

  Bases: `msrest.serialization.Model`

  Description of a Namespace resource.

  Parameters:

  - id (str) – Gets or sets the id of the created Namespace.
  - location (str) – Gets or sets datacenter location of the Namespace.
  - name (str) – Gets or sets name of the Namespace.
  - type (str) – Gets or sets resource type of the Namespace.
  - tags (dict) – Gets or sets tags of the Namespace.
  - properties (`NamespaceProperties`) – Gets or sets properties of the Namespace.

class `azure.mgmt.notificationhubs.models.``SharedAccessAuthorizationRuleProperties`(primary_key=None, secondary_key=None, key_name=None, claim_type=None, claim_value=None, rights=None, created_time=None, modified_time=None, revision=None)

  Bases: `msrest.serialization.Model`

  SharedAccessAuthorizationRule properties.

  Parameters:

  - primary_key (str) – The primary key that was used.
  - secondary_key (str) – The secondary key that was used.
  - key_name (str) – The name of the key that was used.
  - claim_type (str) – The type of the claim.
  - claim_value (str) – The value of the claim.
  - rights (list of str or `AccessRights`) – The rights associated with the rule.
  - created_time (datetime) – The time at which the authorization rule was created.
  - modified_time (datetime) – The most recent time the rule was updated.
  - revision (int) – The revision number for the rule.

class `azure.mgmt.notificationhubs.models.``SharedAccessAuthorizationRuleCreateOrUpdateParameters`(properties, location=None, name=None)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the CreateOrUpdate Namespace AuthorizationRules.

  Parameters:

  - location (str) – Gets or sets Namespace data center location.
  - name (str) – Gets or sets Name of the Namespace AuthorizationRule.
  - properties (`SharedAccessAuthorizationRuleProperties`) – Gets or sets properties of the Namespace AuthorizationRules.

class `azure.mgmt.notificationhubs.models.``SharedAccessAuthorizationRuleResource`(id=None, location=None, name=None, type=None, tags=None, properties=None)

  Bases: `msrest.serialization.Model`

  Description of a Namespace AuthorizationRules.

  Parameters:

  - id (str) – Gets or sets the id of the created Namespace AuthorizationRules.
  - location (str) – Gets or sets datacenter location of the Namespace AuthorizationRules.
  - name (str) – Gets or sets name of the Namespace AuthorizationRules.
  - type (str) – Gets or sets resource type of the Namespace AuthorizationRules.
  - tags (dict) – Gets or sets tags of the Namespace AuthorizationRules.
  - properties (`SharedAccessAuthorizationRuleProperties`) – Gets or sets properties of the Namespace.

class `azure.mgmt.notificationhubs.models.``ResourceListKeys`(primary_connection_string=None, secondary_connection_string=None)

  Bases: `msrest.serialization.Model`

  Namespace/NotificationHub Connection String.

  Parameters:

  - primary_connection_string (str) – Gets or sets the primaryConnectionString of the created Namespace AuthorizationRule.
  - secondary_connection_string (str) – Gets or sets the secondaryConnectionString of the created Namespace AuthorizationRule

class `azure.mgmt.notificationhubs.models.``ApnsCredentialProperties`(apns_certificate=None, certificate_key=None, endpoint=None, thumbprint=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub ApnsCredential.

  Parameters:

  - apns_certificate (str) – Gets or sets the APNS certificate.
  - certificate_key (str) – Gets or sets the certificate key.
  - endpoint (str) – Gets or sets the endpoint of this credential.
  - thumbprint (str) – Gets or sets the Apns certificate Thumbprint

class `azure.mgmt.notificationhubs.models.``ApnsCredential`(properties=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub ApnsCredential.

  Parameters: | properties (`ApnsCredentialProperties`) – Gets or sets properties of NotificationHub ApnsCredential.

class `azure.mgmt.notificationhubs.models.``WnsCredentialProperties`(package_sid=None, secret_key=None, windows_live_endpoint=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub WnsCredential.

  Parameters:

  - package_sid (str) – Gets or sets the package ID for this credential.
  - secret_key (str) – Gets or sets the secret key.
  - windows_live_endpoint (str) – Gets or sets the Windows Live endpoint.

class `azure.mgmt.notificationhubs.models.``WnsCredential`(properties=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub WnsCredential.

  Parameters: | properties (`WnsCredentialProperties`) – Gets or sets properties of NotificationHub WnsCredential.

class `azure.mgmt.notificationhubs.models.``GcmCredentialProperties`(gcm_endpoint=None, google_api_key=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub GcmCredential.

  Parameters:

  - gcm_endpoint (str) – Gets or sets the GCM endpoint.
  - google_api_key (str) – Gets or sets the Google API key.

class `azure.mgmt.notificationhubs.models.``GcmCredential`(properties=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub GcmCredential.

  Parameters: | properties (`GcmCredentialProperties`) – Gets or sets properties of NotificationHub GcmCredential.

class `azure.mgmt.notificationhubs.models.``MpnsCredentialProperties`(mpns_certificate=None, certificate_key=None, thumbprint=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub MpnsCredential.

  Parameters:

  - mpns_certificate (str) – Gets or sets the MPNS certificate.
  - certificate_key (str) – Gets or sets the certificate key for this credential.
  - thumbprint (str) – Gets or sets the Mpns certificate Thumbprint

class `azure.mgmt.notificationhubs.models.``MpnsCredential`(properties=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub MpnsCredential.

  Parameters: | properties (`MpnsCredentialProperties`) – Gets or sets properties of NotificationHub MpnsCredential.

class `azure.mgmt.notificationhubs.models.``AdmCredentialProperties`(client_id=None, client_secret=None, auth_token_url=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub AdmCredential.

  Parameters:

  - client_id (str) – Gets or sets the client identifier.
  - client_secret (str) – Gets or sets the credential secret access key.
  - auth_token_url (str) – Gets or sets the URL of the authorization token.

class `azure.mgmt.notificationhubs.models.``AdmCredential`(properties=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub AdmCredential.

  Parameters: | properties (`AdmCredentialProperties`) – Gets or sets properties of NotificationHub AdmCredential.

class `azure.mgmt.notificationhubs.models.``BaiduCredentialProperties`(baidu_api_key=None, baidu_end_point=None, baidu_secret_key=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub BaiduCredential.

  Parameters:

  - baidu_api_key (str) – Get or Set Baidu Api Key.
  - baidu_end_point (str) – Get or Set Baidu Endpoint.
  - baidu_secret_key (str) – Get or Set Baidu Secret Key

class `azure.mgmt.notificationhubs.models.``BaiduCredential`(properties=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub BaiduCredential.

  Parameters: | properties (`BaiduCredentialProperties`) – Gets or sets properties of NotificationHub BaiduCredential.

class `azure.mgmt.notificationhubs.models.``NotificationHubProperties`(name=None, registration_ttl=None, authorization_rules=None, apns_credential=None, wns_credential=None, gcm_credential=None, mpns_credential=None, adm_credential=None, baidu_credential=None)

  Bases: `msrest.serialization.Model`

  NotificationHub properties.

  Parameters:

  - name (str) – The NotificationHub name.
  - registration_ttl (str) – The RegistrationTtl of the created NotificationHub
  - authorization_rules (list of `SharedAccessAuthorizationRuleProperties`) – The AuthorizationRules of the created NotificationHub
  - apns_credential (`ApnsCredential`) – The ApnsCredential of the created NotificationHub
  - wns_credential (`WnsCredential`) – The WnsCredential of the created NotificationHub
  - gcm_credential (`GcmCredential`) – The GcmCredential of the created NotificationHub
  - mpns_credential (`MpnsCredential`) – The MpnsCredential of the created NotificationHub
  - adm_credential (`AdmCredential`) – The AdmCredential of the created NotificationHub
  - baidu_credential (`BaiduCredential`) – The BaiduCredential of the created NotificationHub

class `azure.mgmt.notificationhubs.models.``NotificationHubCreateOrUpdateParameters`(location, properties, tags=None)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the CreateOrUpdate NotificationHub operation.

  Parameters:

  - location (str) – Gets or sets NotificationHub data center location.
  - tags (dict) – Gets or sets NotificationHub tags.
  - properties (`NotificationHubProperties`) – Gets or sets properties of the NotificationHub.

class `azure.mgmt.notificationhubs.models.``NotificationHubResource`(id=None, location=None, name=None, type=None, tags=None, properties=None)

  Bases: `msrest.serialization.Model`

  Description of a NotificationHub Resource.

  Parameters:

  - id (str) – Gets or sets the id of the created NotificationHub.
  - location (str) – Gets or sets datacenter location of the NotificationHub.
  - name (str) – Gets or sets name of the NotificationHub.
  - type (str) – Gets or sets resource type of the NotificationHub.
  - tags (dict) – Gets or sets tags of the NotificationHub.
  - properties (`NotificationHubProperties`) – Gets or sets properties of the NotificationHub.

class `azure.mgmt.notificationhubs.models.``Resource`(location, tags=None)

  Bases: `msrest.serialization.Model`

  Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags

class `azure.mgmt.notificationhubs.models.``SubResource`(id=None)

  Bases: `msrest.serialization.Model`

  SubResource.

  Parameters: | id (str) – Resource Id

class `azure.mgmt.notificationhubs.models.``NamespaceResourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of NamespaceResource object

class `azure.mgmt.notificationhubs.models.``SharedAccessAuthorizationRuleResourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of SharedAccessAuthorizationRuleResource object

class `azure.mgmt.notificationhubs.models.``NotificationHubResourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of NotificationHubResource object

class `azure.mgmt.notificationhubs.models.``NamespaceType`

  Bases: `enum.Enum`

  `messaging` = 'Messaging'
  `notification_hub` = 'NotificationHub'

class `azure.mgmt.notificationhubs.models.``AccessRights`

  Bases: `enum.Enum`

  `listen` = 'Listen'
  `manage` = 'Manage'
  `send` = 'Send'